// priority: 1000
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded ignota_casing.js)')


// ignota_casing
StartupEvents.registry('block', event => {
    event.create('ignota_casing')
        .displayName('Ignota Casing')
        .soundType('metal')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})


/*
startup_scripts block registry
assets/kubejs/blockstates/ignota_casing.json (point to block model)
assets/kubejs/models/block/custom_casings/ignota_casing.json (parent minecraft:block/cube_all + texture key)
assets/kubejs/models/item/ignota_casing.json (item uses block model)
assets/kubejs/textures/block/custom_casings/ignota_casing/{standard,ctm}.png/mcmeta
*/